# frozen_string_literal: true

SERVICE_NAME = 'user_management'
SERVICE_TASK = 'event-dispatcher'

require 'bundler/setup'
require_relative 'system/container'
Application.finalize!

require 'karafka'

Karafka::Loader.load(Karafka::App.root)

require 'user_management/karafka'

Karafka::App.boot!

Karafka::Server.run
